SAXONICA

Saxon Documentation
Full Contents
About Saxon
Changes in this Release
Conditions of Use
Using XSLT 2.0
Using XQuery
Handling Source Documents
XML Schema Processing
XPath API for Java
Saxon on .NET
Extensibility
Saxon Extensions
Sample Saxon Applications
The Saxon SQL Extension
XSLT Elements
XPath 2.0 Expression Syntax
Function Library
Standards Conformance

# fn:resolve-uri

fn:resolve-uri($relative as xs:string()) → anyURI

Function signature

$relative | xs:string
Result | xs:anyURI

Resolves a relative URI against the base URI from the static context

XPath 2.0 Specification

fn:resolve-uri($relative as xs:string, $base as xs:string) → anyURI

Function signature

$relative | xs:string
$base | xs:string
Result | xs:anyURI

Resolves a relative URI against a given base URI

XPath 2.0 Specification

Next